
Figure - Bug #117733
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.documentsui（1）
2023-05-04 10:20 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-05-05

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 25000000 2>/sdcard/error.txt 1>/sdcard/info.txt

CRASH: com.android.documentsui (pid 5105)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void android.view.View.setPressed(boolean)' on a null object

reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3052:user/test-keys

// Build Changelist: 3052

// Build Time: 1682619940000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void android.view.View.setPressed(boolean)' on a null object reference

//     at com.android.internal.widget.DecorCaptionView.onTouchEvent(DecorCaptionView.java:231)

//     at android.view.View.dispatchTouchEvent(View.java:14541)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3114)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2787)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at com.android.internal.policy.DecorView.superDispatchTouchEvent(DecorView.java:516)

//     at com.android.internal.policy.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1890)

//     at android.app.Dialog.dispatchTouchEvent(Dialog.java:864)

//     at androidx.appcompat.view.WindowCallbackWrapper.dispatchTouchEvent(WindowCallbackWrapper.java:69)

//     at com.android.internal.policy.DecorView.dispatchTouchEvent(DecorView.java:474)

//     at android.view.View.dispatchPointerEvent(View.java:14800)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:6362)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6163)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)
//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8585)

//     at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8536)

//     at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8504)

//     at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8708)

//     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-04 10:24 - CD TEST-方永红

- File error.txt added

#2 - 2023-05-04 10:52 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-05-04 17:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197395 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:DocumentsUI:Fixed monkey crashTC-RID: 1201-0300801IssueID: TS-R-BUG-117733Change-Id: Ifaf936b22e2beadbb31875becbcd7ea1cff2971d

#4 - 2023-05-04 17:33 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-05

- Root cause set to AOSP问题

■ Current conclusion

已提交

■ My analysis
变成员变量为局部变量，不让成员变量的修改影响到方法内的调用

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/197395

#5 - 2023-05-08 17:20 - CD TEST-方永红

5.8

0095（带开机动画版未复现）

#6 - 2023-05-09 09:58 - CD TEST-方永红

5.9

0507DB未复现

#7 - 2023-05-10 10:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103(X103)

5.10

0098未复现

先关闭

#8 - 2023-05-10 10:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2212290000002151_000039_0503182417.tar.gz5.59 MB 2023-05-04 CD TEST-方永红

error.txt 382 KB 2023-05-04 CD TEST-方永红
